#!/usr/bin/env bash

if [[ -n "${PRIVATE_REPO_USERNAME}" ]] && [[ -n "${PRIVATE_REPO_PASSWORD}" ]]; then
    credentials="--username ${PRIVATE_REPO_USERNAME} --password ${PRIVATE_REPO_PASSWORD}"
fi

if [[ -n "${LOCAL_TILLER}" ]]; then
    helm init --client-only > /dev/null
    cmd="helm tiller run helm"
else
    helm init > /dev/null
    cmd="helm"
fi

if [[ -n "${PRIVATE_REPO_URL}" ]] && [[ -n "${PRIVATE_REPO_NAME}" ]]; then
    helm repo add ${PRIVATE_REPO_NAME} ${PRIVATE_REPO_URL} ${credentials} > /dev/null
else
    helm repo update > /dev/null
fi

$cmd "$@"
